petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCSetUseAmat

Sets a flag to indicate that when the preconditioner needs to apply (part of) the operator during the preconditioning process it applies the Amat provided to TSSetRHSJacobian(), TSSetIJacobian(), SNESSetJacobian(), KSPSetOperator() or PCSetOperator() not the Pmat.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetUseAmat(PC pc,PetscBool flg)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flg | - PETSC_TRUE to use the Amat, PETSC_FALSE to use the Pmat (default is false)

### Options Database Key

-pc_use_amat <true,false> - Notes: For the common case in which the linear system matrix and the matrix used to construct the preconditioner are identical, this routine is does nothing.

### See Also

PCGetUseAmat(), PCBJACOBI, PGMG, PCFIELDSPLIT, PCCOMPOSITE

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages